﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SelectTemplateForExpandedChildRecord
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			var dataViewModel = new DataViewModel();
			partsGrid.DataContext = dataViewModel;

			dataViewModel.Parts.Add(new PartViewModel
			{
				Name = "Part1",
				Content = new PartContentViewModel
				{
					DataContext = new Concrete1ViewModel()
				}
			});

			dataViewModel.Parts.Add(new PartViewModel
			{
				Name = "Part2",
				Content = new PartContentViewModel
				{
					DataContext = new Concrete2ViewModel()
				}
			});

			partsGrid.DataSource = dataViewModel.Parts;
		}

		private void Window_SizeChanged(object sender, SizeChangedEventArgs e)
		{
			////var resource = partsGrid.TryFindResource("contentGridWidth") as FieldLength;
			partsGrid.Resources["contentGridWidth"] = e.NewSize.Width - 50.0;
		}

		private void runtimeSettings3ColumnsGrid_Loaded(object sender, RoutedEventArgs e)
		{
			XamDataGrid xdg = sender as XamDataGrid;
			DataRecord dr = xdg.Records[0] as DataRecord;

			xdg.ActiveCell = dr.Cells[0];
		}
	}
}
