﻿using System.Windows;
using System.Windows.Controls;
using EafClient.Core;
using Infragistics.Windows.DataPresenter;

namespace SelectTemplateForExpandedChildRecord
{
	public class PartContentTemplateSelector : DataTemplateSelector
	{
		public override DataTemplate SelectTemplate(object item, DependencyObject container)
		{
			if (item == null)
				return null;

			var cellPartsGrid = container.VisualUpwardSearch<XamDataGrid>();
			var content = item as PartContentViewModel;

			if (content?.DataContext is Concrete1ViewModel)
			{
				var resource = cellPartsGrid.TryFindResource("part1ContentTemplate");
				return (DataTemplate)resource;
			}

			else if (content?.DataContext is Concrete2ViewModel)
			{
				var resource = cellPartsGrid.TryFindResource("part2ContentTemplate");
				return (DataTemplate)resource;
			}

			return null;
		}
	}
}
